text2PDF = function(t="test text",width=17,height=5,line_height=0.7,box=TRUE) {

# Text output to opened PDF

#  28.3.09 VK


# ARGUMENTS (Input)

# t            Text; t[1] = text in line 1, ...
# width        Width of text box (cm)
# height       Height of text box (cm)
# line_height  Line height (cm)
# box          Draw frame of text box if TRUE
  
# VALUE (Output)

# none (no check for formal errors in input)


xdummy=c(0,width)
ydummy=c(0,height)
if (box) {par(col="black")} else {par(col="white")}

plot(xdummy,ydummy,xlab="",ylab="",col="white",col.axis="white",tck=0)

par(col="black")

for (i in 1:length(t)) {
    text(0, height-i*line_height, t[i], pos=4)    # output text
                                                  # pos=4: right of position
  }

 }  # end function
